Activity Log

Retrieve the activity history for any entity including contacts, companies, deals, leads, tasks, and contracts.

All Activity Log endpoints require JWT authentication via the Authorization: Bearer <token> header.

Core Endpoints

GET /activity-log/{entityType}/{entityId} Get entity activity
JWT Required

Retrieve the activity history for an entity. Supported types: contact, company, deal, lead, task, contract.

Path Parameters

NameTypeRequiredDescription
entityType string Required Values: contact, company, deal, lead, task, contract
entityId integer Required

Response

Activity log entries

{
    "success": true,
    "data": [
        {
            "id": 1,
            "action": "updated",
            "entity_type": "contact",
            "entity_id": 1,
            "description": "Updated contact email address",
            "changes": {},
            "user_name": "...",
            "created_at": "2026-01-15T09:30:00.000000Z"
        }
    ]
}

Code Examples

curl -X GET "https://crm.revorbit.com/api/activity-log/{entityType}/{entityId}" \
  -H "Authorization: Bearer YOUR_JWT_TOKEN"
const response = await fetch(
  "https://crm.revorbit.com/api/activity-log/{entityType}/{entityId}",
  {
    method: "GET",
    headers: {
      "Authorization": "Bearer YOUR_JWT_TOKEN",
    }
  }
);
const data = await response.json();